commit: c0dbb49c82467c2035eac1ae2e7051e8e1e0207d
Author: Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
AuthorDate: Wed Jan 3 08:20:54 2024 +0000
Commit: Nicola Smaniotto <smaniotto.nicola <AT> gmail <DOT> com>
CommitDate: Wed Jan 3 08:22:11 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c0dbb49c
games-rpg/open-adventure: add 1.17
Signed-off-by: Nicola Smaniotto <smaniotto.nicola <AT> gmail.com>
games-rpg/open-adventure/Manifest | 1 +
.../open-adventure/open-adventure-1.17.ebuild | 69 ++++++++++++++++++++++
2 files changed, 70 insertions(+)
diff --git a/games-rpg/open-adventure/Manifest
b/games-rpg/open-adventure/Manifest
index 653b92b764..ffca07cfb4 100644
--- a/games-rpg/open-adventure/Manifest
+++ b/games-rpg/open-adventure/Manifest
@@ -1 +1,2 @@
DIST open-adventure-1.16.tar.bz2 211155 BLAKE2B
2c54bf8b30fefb5b52cd69d5c315e0c628ee51d514f545d2830ca809c40f3824e20eb5c06ad94b6fbf3aaeb9c9c2bad72b9217dfbabc33ec8cd469690ddab125
SHA512
4b58937a20200a081bc44464f5132ea33a010756831f95d5be75916f01b70bc54bd9f5606823fee5fbe2de1dd2e558325f516f050bc40e48cd8d840e65c17e07
+DIST open-adventure-1.17.tar.bz2 212254 BLAKE2B
0d19acae39bb58b3cb7ca240552c8f796be73ea4dde44ed60429f3e8cf51ebecbdf71d6ffca08f00ad35f8eb78f1d7f9cb50a336c73e874f8bde81c1cb88acb4
SHA512
bfd4a8f3720aaa98ffcd3d302df79d0f9b4d183797f1067f198c2deb1e11465ec40e2164aa92705de436ba767954e2c18f1d38fdba0e8ece19868fa7ec64af85
diff --git a/games-rpg/open-adventure/open-adventure-1.17.ebuild
b/games-rpg/open-adventure/open-adventure-1.17.ebuild
new file mode 100644
index 0000000000..0fa1e0eb24
--- /dev/null
+++ b/games-rpg/open-adventure/open-adventure-1.17.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit desktop flag-o-matic python-any-r1
+
+DESCRIPTION="Forward-port of the Crowther/Woods Adventure 2.5"
+HOMEPAGE="http://www.catb.org/~esr/open-adventure/"
+SRC_URI="https://gitlab.com/esr/${PN}/-/archive/${PV}/${P}.tar.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="autosave nosave test"
+# autosave and nosave are mutually exclusive
+# tests require that they are both disabled
+REQUIRED_USE="
+ ?? ( autosave nosave )
+ test? ( !autosave !nosave )
+"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-libs/libedit"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ $(python_gen_any_dep 'dev-python/pyyaml[${PYTHON_USEDEP}]' )
+"
+
+DOCS=( NEWS.adoc hints.adoc history.adoc README.adoc notes.adoc )
+
+python_check_deps() {
+ python_has_version "dev-python/pyyaml[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+ # remove uncommon flags
+ sed -e 's/-D_FORTIFY_SOURCE=2 -fstack-protector-all $(CFLAGS)
-g/$(CFLAGS)/' \
+ -i Makefile || die "Makefile patching failed"
+
+ eapply_user
+}
+
+src_compile() {
+ if use autosave; then
+ append-cflags "-DADVENT_AUTOSAVE"
+ fi
+ if use nosave; then
+ append-cflags "-DADVENT_NOSAVE"
+ fi
+
+ emake advent advent.6
+}
+
+src_install() {
+ einstalldocs
+ doman advent.6
+
+ dobin advent
+
+ doicon -s scalable advent.svg
+ domenu advent.desktop
+}
+
+src_test() {
+ # parallel tests often fail
+ emake -j1 check
+}